"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const testing_1 = require("@angular-devkit/schematics/testing");
const dependencies_1 = require("@schematics/angular/utility/dependencies");
const test_1 = require("@schematics/angular/utility/test");
const migrationPath = path.join(__dirname, '../migration.json');
function createTestApp(appOptions = {}) {
    const baseRunner = new testing_1.SchematicTestRunner('schematics', migrationPath);
    const workspaceTree = baseRunner.runExternalSchematic('@schematics/angular', 'workspace', {
        name: 'workspace',
        version: '7.1.2',
        newProjectRoot: 'projects',
    });
    dependencies_1.addPackageJsonDependency(workspaceTree, {
        name: 'face-api.js',
        version: '^0.19.0',
        type: dependencies_1.NodeDependencyType.Default,
    });
    return baseRunner.runExternalSchematic('@schematics/angular', 'application', Object.assign({}, appOptions, { name: 'example-app' }), workspaceTree);
}
describe('ngx-face-api-js-schematics migrations update-0-1-0', () => {
    it('update addDependencies works face-api.js', () => __awaiter(this, void 0, void 0, function* () {
        const runner = new testing_1.SchematicTestRunner('schematics', migrationPath);
        const tree = yield runner
            .runSchematicAsync('update-0-1-0', {}, createTestApp())
            .toPromise();
        expect(tree.files).toContain('/package.json');
        const packageJson = JSON.parse(test_1.getFileContent(tree, '/package.json'));
        expect(packageJson.dependencies['face-api.js']).toBe('~0.20.0');
    }));
});
//# sourceMappingURL=index.spec.js.map