"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
function addBrowserIgnorePackageSetting() {
    return (host, _) => {
        const buf = host.read('package.json');
        if (!buf) {
            throw new schematics_1.SchematicsException('cannot find package.json');
        }
        const content = JSON.parse(buf.toString('utf-8'));
        content.browser = Object.assign({}, content.browser, { fs: false, crypto: false });
        host.overwrite('package.json', JSON.stringify(content, null, 2));
        return host;
    };
}
exports.addBrowserIgnorePackageSetting = addBrowserIgnorePackageSetting;
//# sourceMappingURL=addBrowserIgnorePackageSetting.js.map