"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const dependencies_1 = require("@schematics/angular/utility/dependencies");
const addDependencies_1 = require("../util/addDependencies");
const installDependencies_1 = require("../util/installDependencies");
const addBrowserIgnorePackageSetting_1 = require("./addBrowserIgnorePackageSetting");
const addNgxFaceApiJsModule_1 = require("./addNgxFaceApiJsModule");
const addCdkOverlayPrebuiltCssToAppStyles_1 = require("./addCdkOverlayPrebuiltCssToAppStyles");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function ngAdd(options) {
    return schematics_1.chain([
        addDependencies_1.addDependencies({
            packageName: 'face-api.js',
            version: '~0.20.0',
        }),
        addDependencies_1.addDependencies({
            packageName: '@angular/cdk',
            type: dependencies_1.NodeDependencyType.Dev,
        }),
        installDependencies_1.installDependencies(),
        addBrowserIgnorePackageSetting_1.addBrowserIgnorePackageSetting(),
        addCdkOverlayPrebuiltCssToAppStyles_1.addCdkOverlayPrebuiltCssToAppStyles(options),
        addNgxFaceApiJsModule_1.addNgxFaceApiJsModule(options),
    ]);
}
exports.ngAdd = ngAdd;
//# sourceMappingURL=index.js.map