"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const dependencies_1 = require("@schematics/angular/utility/dependencies");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const npmjs_1 = require("./npmjs");
function addDependencies({ packageName, version = 'latest', type = dependencies_1.NodeDependencyType.Default, overwrite = false, }) {
    return (host, context) => {
        const buf = host.read('package.json');
        if (!buf) {
            throw new schematics_1.SchematicsException('cannot find package.json');
        }
        return rxjs_1.of(packageName).pipe(operators_1.concatMap((name) => __awaiter(this, void 0, void 0, function* () {
            if (version === 'latest') {
                return npmjs_1.getLatestNodeVersion(name);
            }
            return { name, version };
        })), operators_1.map((npmRegistryPackage) => {
            const nodeDependency = {
                type,
                overwrite,
                name: npmRegistryPackage.name,
                version: npmRegistryPackage.version,
            };
            dependencies_1.addPackageJsonDependency(host, nodeDependency);
            context.logger.info(`✅️ Added dependency: ${npmRegistryPackage.name}@${npmRegistryPackage.version}`);
            return host;
        }));
    };
}
exports.addDependencies = addDependencies;
//# sourceMappingURL=addDependencies.js.map